org.apache.maven.scm.provider.tfs.command.consumer

## Class ErrorStreamConsumer

- java.lang.Object
- - org.codehaus.plexus.util.cli.CommandLineUtils.StringStreamConsumer
  - - org.apache.maven.scm.provider.tfs.command.consumer.ErrorStreamConsumer

- All Implemented Interfaces:
    org.codehaus.plexus.util.cli.StreamConsumer

      public class ErrorStreamConsumer
      extends org.codehaus.plexus.util.cli.CommandLineUtils.StringStreamConsumer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorStreamConsumer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `consumeLine(String line)`
    `boolean` | `hasBeenFed()`

    - ### Methods inherited from class org.codehaus.plexus.util.cli.CommandLineUtils.StringStreamConsumer

      `getOutput`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ErrorStreamConsumer

          public ErrorStreamConsumer()

  - ### Method Detail

    - #### consumeLine

          public void consumeLine(String line)

      Specified by:
        `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`
      Overrides:
        `consumeLine` in class `org.codehaus.plexus.util.cli.CommandLineUtils.StringStreamConsumer`

    - #### hasBeenFed

          public boolean hasBeenFed()

Copyright © 2003–2015. All rights reserved.